org.crosswire.bibledesktop.passage

## Class KeyTreeNode

- java.lang.Object
- - org.crosswire.bibledesktop.passage.KeyTreeNode

- All Implemented Interfaces:
    TreeNode

      public class KeyTreeNode
      extends Object
      implements TreeNode

  An implementation of TreeNode that reads from Keys and KeyLists.
  Author:
    Joe Walker
  See Also:
    `for license details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private org.crosswire.jsword.passage.Key` | `key`
    `private TreeNode` | `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyTreeNode(org.crosswire.jsword.passage.Key key, TreeNode parent)` Simple ctor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Enumeration<org.crosswire.jsword.passage.Key>` | `children()`
    `boolean` | `getAllowsChildren()`
    `TreeNode` | `getChildAt(int index)`
    `int` | `getChildCount()`
    `int` | `getIndex(TreeNode node)`
    `org.crosswire.jsword.passage.Key` | `getKey()` Accessor for the key
    `TreeNode` | `getParent()`
    `boolean` | `isLeaf()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key

          private org.crosswire.jsword.passage.Key key

    - #### parent

          private TreeNode parent

  - ### Constructor Detail

    - #### KeyTreeNode

          public KeyTreeNode(org.crosswire.jsword.passage.Key key,
                     TreeNode parent)

      Simple ctor

  - ### Method Detail

    - #### getChildCount

          public int getChildCount()

      Specified by:
        `getChildCount` in interface `TreeNode`

    - #### getAllowsChildren

          public boolean getAllowsChildren()

      Specified by:
        `getAllowsChildren` in interface `TreeNode`

    - #### isLeaf

          public boolean isLeaf()

      Specified by:
        `isLeaf` in interface `TreeNode`

    - #### children

          public Enumeration<org.crosswire.jsword.passage.Key> children()

      Specified by:
        `children` in interface `TreeNode`

    - #### getParent

          public TreeNode getParent()

      Specified by:
        `getParent` in interface `TreeNode`

    - #### getChildAt

          public TreeNode getChildAt(int index)

      Specified by:
        `getChildAt` in interface `TreeNode`

    - #### getIndex

          public int getIndex(TreeNode node)

      Specified by:
        `getIndex` in interface `TreeNode`

    - #### getKey

          public org.crosswire.jsword.passage.Key getKey()

      Accessor for the key